// EdIRIAGl.hpp : header file
//

#ifndef _EDIRIAGL_HPP_
#define _EDIRIAGL_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define D_GENERATE_KNOWNWORDS
//#undef D_GENERATE_KNOWNWORDS

#define M_KEYWORDID(a)		((tdeKeyWordId)(a))
#define M_METAACTID(a)		((tdeMetaActionId)(a))
#define M_CONDITIONID(a)	((tdeCondId)(a))
#define M_FUNCTIONID(a)		((tdeFuncId)(a))
#define M_PROCEDUREID(a)	((tdeProcedureId)(a))
#define M_DSGVARID(a)			((tdeDsgVarTypeId)(a))
#define M_FIELDID(a)			((tdeFieldId)(a))

#ifdef D_GENERATE_KNOWNWORDS
CString	fn_csGetParamType(char);
CString	fn_csGetParamTypeInEnglish(char);
CString	fn_csGetParamsTypes(CString);
CString	fn_csGetInfoAboutCondition(CStringList &,long);
CString	fn_csGetInfoAboutMetaAction(CStringList &,long);
CString	fn_csGetInfoAboutProcedure(CStringList &,long);
CString	fn_csGetInfoAboutFunction(CStringList &,long);
BOOL		fn_bHelpIsAvailable(CStringList &,CString);
void		fn_vCreateKnownWordsFile();
#endif //D_GENERATE_KNOWNWORDS

struct tdstEngineObject_ *fn_pstGetMainActor();
struct tdstEngineObject_ *fn_pstGetWorld();

CStringList	*fn_pclGetListIATypeObjects();
void				fn_vAddListOfPersos(CStringList *);
void				fn_vAddListOfZdd(CStringList *);
void				fn_vAddListOfZde(CStringList *);
void				fn_vAddListOfZdm(CStringList *);
void				fn_vAddListOfActions(CStringList *);
void				fn_vAddListOfWayPoints(CStringList *);
void				fn_vAddListOfSurfaces(CStringList *);
void				fn_vAddListOfEnvironments(CStringList *);
void				fn_vAddListOfLipSynchros(CStringList *);
void				fn_vAddListOfSectors(CStringList *);
void				fn_vAddListOfObjectTables(CStringList *);
void				fn_vAddListOfFamilies(CStringList *);
void				fn_vAddListOfSoundEvents(CStringList *);
void				fn_vAddListOfGameMaterials(CStringList *);
void				fn_vAddListOfBehaviours(CStringList *);
void				fn_vAddListOfMaskTypes(CStringList *);
void				fn_vAddListOfChannels(CStringList *);
void				fn_vAddListOfZdr(CStringList *);
CStringList	*fn_pclGetListIAObjects(CString csType="");

//Stefan Dumitrean 2-5-98
void fn_vAddListOfIAObjectsForType( CStringList*, CStringList*, CString, CString );
//End Stefan Dumitrean

#endif //_EDIRGLOB_HPP_
